Requirements

[ Browsers | Plugins | Additional Software ]

Browsers

Below are the browsers supported by our current version of Blackboard, the minimum browser versions supported and download links to the latest supported version are provided where available.

 

Internet Explorer
Version(s): 9, 10, 11
Download

Firefox
Version(s): 31 or newer.
Download

Chrome
Version(s): 37 or newer.
Download

 

Safari
Version(s): 6, 7, 8
No Download Link Available

 

Browsers | Plugins | Additional Software ] 

 

Plugins

We recommend the following plugins for use with Blackboard.


 

Java
Version(s): 7
Download

 

Adobe Flash
Version(s): 18 or newer.
Download

 

Quicktime
Version(s): 7
Download

 

 Browsers | Plugins | Additional Software ]

 

Additional Software

While not strictly a requirement for Blackboard itself, many instructors make use of documents and file types which can require additional software. The following applications can be useful for most classes.


 

Adobe Reader
Versions(s): 11 or newer.
Download

Microsoft Office
Versions(s): 2010, 2013
No Download Link Available

Microsoft does provide standalone read-only viewers to read Office douments. They however cannot be used to edit or create documents. To view any word document created in a modern version of Microsoft Office you will need the "File Format Compatability Pack."

Word Viewer
Excel Viewer
Powerpoint Viewer
File Format Compatability Pack

 

Browsers | Plugins | Additional Software ]